dependencies - गैलप्लगिन अपडेट करना



npm yeoman (1)

यमन जनरेटर का इस्तेमाल करते हुए एक प्रोजेक्ट शुरू करते समय, कहते हैं, generator-gulp-webapp , आपको सभी निर्भरताओं के साथ एक package.json फाइल मिलती है।

क्या यह सभी या किसी भी निर्भरता को अपडेट करने की सिफारिश की गई है (उदा: gulp-useref , gulp-ruby-sass gulp-useref , gulp-bower-files , इत्यादि)? ऐसा करने या न करने का क्या अर्थ है?


अपने प्लगइन्स को अपडेट करना हमेशा आवश्यक होता है, क्योंकि सिंटैक्स इस प्रकार बदलता रहता है और फिर आप आगे बढ़ते रहेंगे।

मैं इसे ठीक करने की सलाह देता हूं:

1) npm install -g npm-check-updates

2) npm-check-updates -u

3) rm -fr node_modules

4) npm install

असल में यह विश्व स्तर पर एनपीएम-चेक-अपडेट स्थापित करता है, इसे आपके पैकेज के साथ चलाता है। जेएसन और निर्भरता संस्करण अपडेट करता है। तब आप नोड मॉड्यूल फ़ोल्डर को हटाते हैं और पुनः इंस्टॉल करते हैं।